pw_introspect Class Reference

The introspection methods and structures are used to get information about the object in the PipeWire server. More...

## Public Member Functions

const char * | pw_direction_as_string (enum pw_direction direction)
| Convert a pw_direction to a readable string. More...
struct pw_core_info * | pw_core_info_update (struct pw_core_info *info, const struct pw_core_info *update)
| Update and existing pw_core_info with update. More...
void | pw_core_info_free (struct pw_core_info *info)
| Free a pw_core_info. More...
struct pw_module_info * | pw_module_info_update (struct pw_module_info *info, const struct pw_module_info *update)
| Update and existing pw_module_info with update. More...
void | pw_module_info_free (struct pw_module_info *info)
| Free a pw_module_info. More...
struct pw_client_info * | pw_client_info_update (struct pw_client_info *info, const struct pw_client_info *update)
| Update and existing pw_client_info with update. More...
void | pw_client_info_free (struct pw_client_info *info)
| Free a pw_client_info. More...

## Detailed Description

The introspection methods and structures are used to get information about the object in the PipeWire server.

## Member Function Documentation

## pw_client_info_free()

void pw_client_info_free | ( | struct pw_client_info * | info | ) |

Free a pw_client_info.

## pw_client_info_update()

struct pw_client_info * pw_client_info_update | ( | struct pw_client_info * | info,
|  | const struct pw_client_info * | update
| ) |  |

Update and existing pw_client_info with update.

## pw_core_info_free()

void pw_core_info_free | ( | struct pw_core_info * | info | ) |

Free a pw_core_info.

## pw_core_info_update()

struct pw_core_info * pw_core_info_update | ( | struct pw_core_info * | info,
|  | const struct pw_core_info * | update
| ) |  |

Update and existing pw_core_info with update.

## pw_direction_as_string()

const char * pw_direction_as_string | ( | enum pw_direction | direction | ) |

Convert a pw_direction to a readable string.

## pw_module_info_free()

void pw_module_info_free | ( | struct pw_module_info * | info | ) |

Free a pw_module_info.

## pw_module_info_update()

struct pw_module_info * pw_module_info_update | ( | struct pw_module_info * | info,
|  | const struct pw_module_info * | update
| ) |  |

Update and existing pw_module_info with update.

The documentation for this class was generated from the following file:

- introspect.h